Carts
Carts Update
Update an existing cart.
Authorization
oauth2 carts:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: carts:write
Path Parameters
id*integer
A unique integer value identifying this Cart.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X PUT "https://example.com/carts/0/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{ "lines": [ { "quantity": 1 } ] }'{ "abandoned": true, "attribution": { "affiliate": "string", "agent": { "email": "user@example.com", "first_name": "string", "id": 0, "last_name": "string" }, "funnel": "string", "gclid": "string", "metadata": null, "subaffiliate1": "string", "subaffiliate2": "string", "subaffiliate3": "string", "subaffiliate4": "string", "subaffiliate5": "string", "utm_campaign": "string", "utm_content": "string", "utm_medium": "string", "utm_source": "string", "utm_term": "string" }, "checkout_url": "http://example.com", "currency": "string", "date_created": "2019-08-24T14:15:22Z", "id": 0, "is_tax_known": true, "lines": [ { "id": 0, "is_upsell": false, "metadata": null, "price_currency": "string", "product": { "categories": [ { "id": 0, "name": "string", "slug": "string" } ], "id": 0, "images": [ { "attachment": "string", "caption": "string", "display_order": 0, "file_name": "string", "id": 0, "src": "http://example.com" } ], "title": "string", "upc": "string", "url": "http://example.com" }, "properties": [ { "key": "string", "value": null } ], "quantity": 0, "stockrecord": { "id": 0, "low_stock_threshold": 0, "num_allocated": -2147483648, "num_in_stock": -2147483648, "partner_sku": "string", "price": "string", "price_currency": "string", "price_retail": "string" } } ], "metadata": null, "status": "string", "total_excl_tax": "string", "total_excl_tax_excl_discounts": "string", "total_incl_tax": "string", "total_incl_tax_excl_discounts": "string", "total_tax": "string", "user": { "accepts_marketing": true, "email": "user@example.com", "first_name": "string", "id": 0, "ip": "string", "language": "string", "last_name": "string", "phone_number": "string", "user_agent": "string" }, "voucher_discounts": [ { "amount": "string", "description": "string", "name": "string", "voucher": { "code": "string", "end_datetime": "2019-08-24T14:15:22Z", "name": "string", "start_datetime": "2019-08-24T14:15:22Z" } } ]}